﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Pivot.Core;
using Telerik.Pivot.Core.Aggregates;

namespace RadPivotGrid_WPF_791286
{
    public class NetCalculatedItem : CalculatedItem
    {
        protected override Telerik.Pivot.Core.Aggregates.AggregateValue GetValue(IAggregateSummaryValues aggregateSummaryValues)
        {
            AggregateValue[] aggregateValues =
            {
                aggregateSummaryValues.GetAggregateValue("Copy holder"),
                aggregateSummaryValues.GetAggregateValue("Glare filter"),
                aggregateSummaryValues.GetAggregateValue("Mouse pad"),
                aggregateSummaryValues.GetAggregateValue("Printer stand")
            };


            if (aggregateValues.ContainsError())
            {
                return AggregateValue.ErrorAggregateValue;
            }

            double average = aggregateValues.Average(av => av.ConvertOrDefault<double>());
            return new DoubleAggregateValue(average);
        }
    }
}
